# Local-amount-in-usd

You might want to get the value of an a currency amount in a USD, here is how to it, Chief  😉

<mark style="color:blue;">`GET`</mark> `https://live.chimoney.io/api/v0.1/info/local-amount-in-usd?originCurrency=NGN&amountInOriginCurrency=38120.2`

Get the value of an a currency amount in a USD

#### Path Parameters

| Name                                                     | Type    | Description |
| -------------------------------------------------------- | ------- | ----------- |
| originCurrency<mark style="color:red;">\*</mark>         | NGN     |             |
| amountInOriginCurrency<mark style="color:red;">\*</mark> | 38120.2 |             |

#### Headers

| Name                                        | Type                        | Description |
| ------------------------------------------- | --------------------------- | ----------- |
| X-API-Key<mark style="color:red;">\*</mark> | API\_KEY\_FROM\_DEV\_PORTAL |             |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // transaction detail
}
```

{% endtab %}
{% endtabs %}

### <mark style="color:purple;">**#Javascript FETCH**</mark>

```javascript
var myHeaders = new Headers();
myHeaders.append("X-API-Key", "API_KEY_FROM_DEV_PORTAL");

var requestOptions = {
  method: 'GET',
  headers: myHeaders,
  redirect: 'follow'
};

fetch("https://live.chimoney.io/api/v0.1/info/local-amount-in-usd?originCurrency=NGN&amountInOriginCurrency=38120.2", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

### <mark style="color:purple;">**#Python REQUESTS**</mark>

```python
import requests

url = "https://live.chimoney.io/api/v0.1/info/local-amount-in-usd?originCurrency=NGN&amountInOriginCurrency=38120.2"

payload={}
headers = {
  'X-API-Key': 'API_KEY_FROM_DEV_PORTAL'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

### <mark style="color:purple;">**#PHP cURL**</mark>

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://live.chimoney.io/api/v0.1/info/local-amount-in-usd?originCurrency=NGN&amountInOriginCurrency=38120.2',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'X-API-Key: API_KEY_FROM_DEV_PORTAL'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% hint style="success" %}
Yay! It's done.
{% endhint %}
